al_save_sample(3)

NAME

al_save_sample - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    bool al_save_sample(const char *filename, ALLEGRO_SAMPLE *spl)

DESCRIPTION

Writes a sample into a file. Currently, wav is the only supported format, and the extension must be ".wav".

Returns true on success, false on error.

    Note: the allegro_audio library does not support any audio file formats by default. You must use the allegro_acodec addon, or register your own format handler.

SEE ALSO

al_save_sample_f(3), al_register_sample_saver(3), al_init_acodec_addon(3)